Debian Bug report logs - #663617
Several nmus for hardened build flags

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Moritz Muehlenhoff <jmm@debian.org>

Date: Mon, 12 Mar 2012 17:42:10 UTC

Severity: normal

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#663617; Package release.debian.org. (Mon, 12 Mar 2012 17:42:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 12 Mar 2012 17:42:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Several nmus for hardened build flags
Date: Mon, 12 Mar 2012 18:40:35 +0100
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: binnmu

As discussed on IRC last week. I've validated with a local rebuild
that these packages have properly hardened build flags now that
cdbs has been fixed.

For the binNMUs please ensure that cdbs is 0.4.106-1 or higher
on the buildds.

nmu afuse_0.2-3 . ALL . -m "rebuild with current cdbs for hardening options"
nmu bomberclone_0.11.9-3 . ALL . -m "rebuild with current cdbs for hardening options"
nmu libgd2_2.0.36~rc1~dfsg-6 . ALL . -m "rebuild with current cdbs for hardening options"
nmu dvipng_1.14-1 . ALL . -m "rebuild with current cdbs for hardening options"
nmu pango1.0_1.29.4-3 . ALL . -m "rebuild with current cdbs for hardening options"
nmu vino_3.2.2-1 . ALL . -m "rebuild with current cdbs for hardening options"
nmu libpam-ldap_184-8.5 . ALL . -m "rebuild with current cdbs for hardening options"
nmu wordnet_1:3.0-26.1 . ALL . -m "rebuild with current cdbs for hardening options"
nmu gdm3_3.0.4-4 . ALL . -m "rebuild with current cdbs for hardening options"
nmu evince_3.2.1-1 . ALL . -m "rebuild with current cdbs for hardening options"
nmu libast_0.7-6 . ALL . -m "rebuild with current cdbs for hardening options"

Cheers,
        Moritz

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Sat, 24 Mar 2012 22:21:08 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@debian.org>:
Bug acknowledged by developer. (Sat, 24 Mar 2012 22:21:08 GMT) Full text and rfc822 format available.

Message #10 received at 663617-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Moritz Muehlenhoff <jmm@debian.org>, 663617-done@bugs.debian.org
Subject: Re: Bug#663617: Several nmus for hardened build flags
Date: Sat, 24 Mar 2012 22:15:47 +0000
On Mon, 2012-03-12 at 18:40 +0100, Moritz Muehlenhoff wrote:
> As discussed on IRC last week. I've validated with a local rebuild
> that these packages have properly hardened build flags now that
> cdbs has been fixed.
> 
> For the binNMUs please ensure that cdbs is 0.4.106-1 or higher
> on the buildds.
> 
> nmu afuse_0.2-3 . ALL . -m "rebuild with current cdbs for hardening options"
> nmu bomberclone_0.11.9-3 . ALL . -m "rebuild with current cdbs for hardening options"
> nmu libgd2_2.0.36~rc1~dfsg-6 . ALL . -m "rebuild with current cdbs for hardening options"
> nmu dvipng_1.14-1 . ALL . -m "rebuild with current cdbs for hardening options"
> nmu pango1.0_1.29.4-3 . ALL . -m "rebuild with current cdbs for hardening options"
> nmu vino_3.2.2-1 . ALL . -m "rebuild with current cdbs for hardening options"
> nmu libpam-ldap_184-8.5 . ALL . -m "rebuild with current cdbs for hardening options"
> nmu wordnet_1:3.0-26.1 . ALL . -m "rebuild with current cdbs for hardening options"
> nmu gdm3_3.0.4-4 . ALL . -m "rebuild with current cdbs for hardening options"
> nmu evince_3.2.1-1 . ALL . -m "rebuild with current cdbs for hardening options"
> nmu libast_0.7-6 . ALL . -m "rebuild with current cdbs for hardening options"

Scheduled, with --extra-depends for the cdbs stuff just in case[tm].

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#663617; Package release.debian.org. (Sun, 25 Mar 2012 10:30:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 25 Mar 2012 10:30:45 GMT) Full text and rfc822 format available.

Message #15 received at 663617@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Moritz Muehlenhoff <jmm@debian.org>, 663617@bugs.debian.org
Subject: Re: Bug#663617: Several nmus for hardened build flags
Date: Sun, 25 Mar 2012 11:28:40 +0100
On Mon, 2012-03-12 at 18:40 +0100, Moritz Muehlenhoff wrote:
> As discussed on IRC last week. I've validated with a local rebuild
> that these packages have properly hardened build flags now that
> cdbs has been fixed.
[...]
> nmu gdm3_3.0.4-4 . ALL . -m "rebuild with current cdbs for hardening options"

FTBFS (#665708).  I'm guessing your test rebuild didn't use a +b1
version number...

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#663617; Package release.debian.org. (Mon, 02 Apr 2012 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 02 Apr 2012 16:09:03 GMT) Full text and rfc822 format available.

Message #20 received at 663617@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 663617@bugs.debian.org
Subject: Re: Bug#663617: Several nmus for hardened build flags
Date: Mon, 2 Apr 2012 18:07:26 +0200
On Sun, Mar 25, 2012 at 11:28:40AM +0100, Adam D. Barratt wrote:
> On Mon, 2012-03-12 at 18:40 +0100, Moritz Muehlenhoff wrote:
> > As discussed on IRC last week. I've validated with a local rebuild
> > that these packages have properly hardened build flags now that
> > cdbs has been fixed.
> [...]
> > nmu gdm3_3.0.4-4 . ALL . -m "rebuild with current cdbs for hardening options"
> 
> FTBFS (#665708).  I'm guessing your test rebuild didn't use a +b1
> version number...

Yeah, I did only a rebuild w/o bumping the version number in
NMU notation.

Cheers,
        Moritz




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 May 2012 07:35:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:27:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.